0
$\begingroup$

Rosanswers logo

Hi! Problem: Raspberry Pi4 4GB with OS 20.04. Not install Slam-Toolbox with sudo apt ros-noetic-slam-toolbox. Why?

Thanks! Carlo


pi@raspberrypi:~ $ cd catkin_ws
pi@raspberrypi:~/cd catkin_ws $ sudo apt install ros-noetic-slam-toolbox
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto ros-noetic-slam-toolbox
pi@raspberrypi:~/cd catkin_ws $

Originally posted by carlo.paniccia on ROS Answers with karma: 3 on 2022-05-19

Post score: 0


Original comments

Comment by ParkerRobert on 2022-05-19:
This may seem like a simple question, but have you tried sudo apt install ros-noetic-slam-toolbox? The word install is missing in the above question snippet

Comment by carlo.paniccia on 2022-05-20:
Thanks for the reply!

Tried sudo apt install ros-noetic-slam-toolbox, but same result: it doesn't find the installation package!

Carlo

Comment by Joe28965 on 2022-05-20:
Please add additional information either as a comment, or by editing your question.

Comment by carlo.paniccia on 2022-05-20:
No, sorry...

Carlo

Comment by gvdhoorn on 2022-05-20:
That package is available for Ubuntu Focal on ARMv8, but whether you can install it using apt would depend on whether you've used apt to install ROS Noetic itself.

Did you use apt to install ROS Noetic, or did you build from source in a Catkin workspace?

Comment by carlo.paniccia on 2022-05-20:
I use apt for install ROS Noetic. It is better to redo the whole installation (Ubuntu 20.04 + ROS + SLAM-Toolbox)?

Carlo

Comment by gvdhoorn on 2022-05-20:
Please show the verbatim output of sudo apt install ros-noetic-slam-toolbox. Do not paraphrase errors / output messages.

Comment by carlo.paniccia on 2022-05-20:
Et voilà! File dropbox https://www.dropbox.com/s/lxqt64936ku5l1e/photo1652972290.jpeg?dl=0

Carlo

Comment by gvdhoorn on 2022-05-20:
Please do not use screenshots for this.

It's all text.

Just copy-paste it into your original question.

Use the edit button/link below it and append the new information.

Comment by gvdhoorn on 2022-05-20:
Please also add the output of lsb_release -a, uname -a and sudo apt install ros-noetic-roscpp.

Make sure to first run sudo apt update (as @Joe28965 suggests in his answer).

Comment by carlo.paniccia on 2022-05-20:
Sorry!

pi@raspberrypi:~ $ cd catkin_ws pi@raspberrypi:~/cd catkin_ws $ sudo apt installa ros-noetic-slam-toolbox Lettura elenco dei pacchetti... Fatto Generazione albero delle dipendenze Lettura informazioni sullo stato... Fatto E: Impossibile trovare il pacchetto ros-noetic-slam-toolbox pi@raspberrypi:~/cd catkin_ws $

Comment by carlo.paniccia on 2022-05-20:
as@gvdhoorn

pi@raspberrypi:~/catkin_ws $ lsb_release -a

No LSB modules are available.

Distributor ID: Raspbian

Description: Raspbian GNU/Linux 10 (buster)

Release: 10

Codename: buster

pi@raspberrypi:~/catkin_ws $ uname -a

Linux raspberrypi 5.10.103-v7l+ #1529 SMP Tue Mar 8 12:24:00 GMT 2022 armv7l GNU/Linux

pi@raspberrypi:~/catkin_ws $ sudo apt install ros-noetic-roscpp

Lettura elenco dei pacchetti... Fatto

Generazione albero delle dipendenze

Lettura informazioni sullo stato... Fatto

E: Impossibile trovare il pacchetto ros-noetic-roscpp

pi@raspberrypi:~/catkin_ws $

Comment by Joe28965 on 2022-05-20:
@carlo_paniccia please edit the question and paste this in the same way as gvdhoorn has done to your question. This is way too difficult for anybody to comfortably read.

Comment by carlo.paniccia on 2022-05-20:
I'm sorry I'm a neophyte ...

pi@raspberrypi:~/catkin_ws $ lsb_release -a
No LSB modules are available.
Distributor ID: Raspbian
Description: Raspbian GNU/Linux 10 (buster)
Release: 10
Codename: buster
pi@raspberrypi:~/catkin_ws $ uname -a
Linux raspberrypi 5.10.103-v7l+ #1529 SMP Tue Mar 8 12:24:00 GMT 2022 armv7l GNU/Linux
pi@raspberrypi:~/catkin_ws $ sudo apt install ros-noetic-roscpp
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto ros-noetic-roscpp
pi@raspberrypi:~/catkin_ws $

Comment by Joe28965 on 2022-05-20:
Could you give the output of sudo apt update?

Comment by carlo.paniccia on 2022-05-20:
output of sudo apt update is

pi@raspberrypi:~/catkin_ws $ sudo apt update
Trovato:1 http://raspbian.raspberrypi.org/raspbian buster InRelease
Trovato:2 http://archive.raspberrypi.org/debian buster InRelease
Trovato:3 http://packages.ros.org/ros/ubuntu buster InRelease
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
7 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
pi@raspberrypi:~/catkin_ws $

Comment by carlo.paniccia on 2022-05-20:
update...

pi@raspberrypi:~/catkin_ws $ apt list --upgradable
Elencazione... Fatto
libpq5/oldstable 11.16-0+deb10u1 armhf [aggiornabile da: 11.14-0+deb10u1]
libssl-dev/oldstable 1.1.1n-0+deb10u2 armhf [aggiornabile da: 1.1.1n-0+deb10u1]
libssl1.1/oldstable 1.1.1n-0+deb10u2 armhf [aggiornabile da: 1.1.1n-0+deb10u1]
openssl/oldstable 1.1.1n-0+deb10u2 armhf [aggiornabile da: 1.1.1n-0+deb10u1]
python-catkin-pkg-modules/buster 0.5.0-1 all [aggiornabile da: 0.4.24-1]
python3-catkin-pkg-modules/buster 0.5.0-1 all [aggiornabile da: 0.4.24-1]
python3-catkin-pkg/buster 0.5.0-100 all [aggiornabile da: 0.4.24-100]
pi@raspberrypi:~/catkin_ws $
$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Raspberry Pi4 4GB with OS 20.04

We apparently all assumed 20.04 meant Ubuntu (which it typically does).

You are however running Raspbian, which is based on Debian Buster:

Distributor ID: Raspbian
Description: Raspbian GNU/Linux 10 (buster)
Release: 10
Codename: buster

That's not 20.04, nor Ubuntu.

Debian Buster only gets packages for ARMv8, but on that platform, according to status_page/ros_noetic_dbv8.html?q=toolb, ros-noetic-slam-toolbox is intentionally not available.

There are no binary packages available for Debian Buster ARMhf (v7, hard-float) at all, therefore, you cannot install slam_toolbox using apt.

Note: it is available for ARMhf for Ubuntu Focal: status_page/ros_noetic_ufhf.html?q=toolb. But that would require you to reinstall your OS.


Edit: I'm rather confused by your statement:

I use apt for install ROS Noetic.

and:

Linux raspberrypi 5.10.103-v7l+ #1529 SMP Tue Mar 8 12:24:00 GMT 2022 armv7l GNU/Linux

Afaict, this would be impossible. Only ARMv8 gets binary packages on Debian Buster.


Edit 2: did you perhaps install ROS using the wiki/UpstreamPackages? If so, please read that page and be aware of the limitations/impact.


Originally posted by gvdhoorn with karma: 86574 on 2022-05-20

This answer was ACCEPTED on the original site

Post score: 2


Original comments

Comment by Joe28965 on 2022-05-20:
Just to answer a potential future question. If you do want to use slam_toolbox you could use a laptop and run it on there, connecting both laptop and raspberry to the same network and configure them to discover each other.

Comment by carlo.paniccia on 2022-05-20:
Sorry ... which SLAM do you recommend for Raspbian, which is based on Debian Buster?

Comment by Joe28965 on 2022-05-20:
Both gmapping and hector_slam seem to be available.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.